Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartLocInfo

    java.lang.Object
      jet.report.xls.ChartLocInfo

    public class ChartLocInfo

extends java.lang.Object

Contains the information of chart location in the file.

Constructor Summary
`ChartLocInfo()` Constructs a `ChartLocInfo` object with the default parameters.
`ChartLocInfo(short left, short leftOffset, int top, short topOffset, short right, short rightOffset, int bottom, short bottomOffset)` Constructs a ChartLocInfo class and sets its fields appropriately.

Method Summary
`int` | `getBottom()` Gets the bottom row index of chart in the excel.
`short` | `getBottomOffset()` Gets the bottom row offset of chart in the excel.
`short` | `getLeft()` Gets the left column index of chart in the excel.
`short` | `getLeftOffset()` Gets the left column offset of chart in the excel.
`short` | `getRight()` Gets the right column index of chart in the excel.
`short` | `getRightOffset()` Gets the right column offset of chart in the excel.
`int` | `getTop()` Gets the top row index of chart in the excel.
`short` | `getTopOffset()` Gets the top row offset of chart in the excel.
`void` | `setBottom(int bottom)` Sets the bottom row index of chart in the excel.
`void` | `setBottomOffset(short bottomOffset)` Sets the bottom row offset of chart in the excel.
`void` | `setLeft(short left)` Sets the left column index of chart in the excel.
`void` | `setLeftOffset(short leftOffset)` Sets the left column offset of chart in the excel.
`void` | `setRight(short right)` Sets the right column index of chart in the excel.
`void` | `setRightOffset(short rightOffset)` Sets the right column offset of chart in the excel.
`void` | `setTop(int top)` Sets the top row index of chart in the excel.
`void` | `setTopOffset(short topOffset)` Sets the top row offset of chart in the excel.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartLocInfo

    public ChartLocInfo()

  Constructs a `ChartLocInfo` object with the default parameters.

### ChartLocInfo

    public ChartLocInfo(short left,
                        short leftOffset,
                        int top,
                        short topOffset,
                        short right,
                        short rightOffset,
                        int bottom,
                        short bottomOffset)

  Constructs a ChartLocInfo class and sets its fields appropriately.

  Parameters:
    `left` - the left column index of chart in the excel
    `leftOffset` - the left column offset of chart in the excel
    `right` - the right column index of chart in the excel
    `rightOffset` - the right column offset of chart in the excel
    `top` - the top row index of chart in the excel
    `topOffset` - the top row offset of chart in the excel
    `bottom` - the bottom row index of chart in the excel
    `bottomOffset` - the bottom row offset of chart in the excel

Method Detail

### setLeft

    public void setLeft(short left)

  Sets the left column index of chart in the excel.

### getLeft

    public short getLeft()

  Gets the left column index of chart in the excel.

### setLeftOffset

    public void setLeftOffset(short leftOffset)

  Sets the left column offset of chart in the excel.

### getLeftOffset

    public short getLeftOffset()

  Gets the left column offset of chart in the excel.

### setRight

    public void setRight(short right)

  Sets the right column index of chart in the excel.

### getRight

    public short getRight()

  Gets the right column index of chart in the excel.

### setRightOffset

    public void setRightOffset(short rightOffset)

  Sets the right column offset of chart in the excel.

### getRightOffset

    public short getRightOffset()

  Gets the right column offset of chart in the excel.

### setTop

    public void setTop(int top)

  Sets the top row index of chart in the excel.

### getTop

    public int getTop()

  Gets the top row index of chart in the excel.

### setTopOffset

    public void setTopOffset(short topOffset)

  Sets the top row offset of chart in the excel.

### getTopOffset

    public short getTopOffset()

  Gets the top row offset of chart in the excel.

### setBottom

    public void setBottom(int bottom)

  Sets the bottom row index of chart in the excel.

### getBottom

    public int getBottom()

  Gets the bottom row index of chart in the excel.

### setBottomOffset

    public void setBottomOffset(short bottomOffset)

  Sets the bottom row offset of chart in the excel.

### getBottomOffset

    public short getBottomOffset()

  Gets the bottom row offset of chart in the excel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD